# To recompile run this script or with:
# mkimage -C none -A arm -T script -d boot.cmd boot.scr

setenv ramdisk initrd.img-5.4.68
setenv kernel  vmlinux-5.4.68
setenv dtb unipi-g1.dtb

if test ${devtype} != "usb"; then usb stop; sleep 1; fi
test "${loading_mmc}" = "" && setenv loading_mmc ${devnum}:${distro_bootpart}

loaddev="${devtype} ${devnum}:${distro_bootpart}"
load ${loaddev} ${ramdisk_addr_r} ${prefix}/${ramdisk} || load ${loaddev} ${ramdisk_addr_r} ${prefix}/${ramdisk}
load ${loaddev} ${kernel_addr_r} ${prefix}/${kernel} || load ${loaddev} ${kernel_addr_r} ${prefix}/${kernel}
setenv ramdisk_size 3000000
load ${loaddev} ${fdt_addr_r} ${prefix}/${dtb} || load ${loaddev} ${fdt_addr_r} ${prefix}/${dtb}

fdt addr ${fdt_addr_r}
fdt resize

setenv bootargs root=/dev/ram0 console=ttyS2,115200 ${extra} bootdev=${devtype},${devnum},${distro_bootpart}

booti ${kernel_addr_r} ${ramdisk_addr_r}:${ramdisk_size} ${fdt_addr_r}
